## ddogleg 0.22+ds

=== docs/website/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DDoglegNumerics.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DDoglegNumerics.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DDoglegNumerics"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DDoglegNumerics"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ddogleg 0.17+ds

=== debian/changelog ===
ddogleg (0.17+ds-2) unstable; urgency=medium

  * Enabling test suite.

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Nov 2019 09:22:39 -0500

ddogleg (0.17+ds-1) unstable; urgency=medium

  * Initial release (Closes: #944639)

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Nov 2019 02:33:33 -0500

=== debian/control ===
Source: ddogleg
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 gradle-debian-helper,
 libejml-java (>= 0.38),
 maven-repo-helper,
 junit5 <!nocheck>,
Standards-Version: 4.4.1
Homepage: http://ddogleg.org
Vcs-Browser: https://salsa.debian.org/java-team/ddogleg
Vcs-Git: https://salsa.debian.org/java-team/ddogleg.git

Package: libddogleg-java
Architecture: all
Depends:
 ${misc:Depends},
Description: library for non-linear optimization, clustering, robust model fitting and more
 DDogleg Numerics is a high performance Java library for non-linear
 optimization, clustering, robust model fitting, polynomial root finding,
 sorting, and more. The API is designed to be user to use, without excessive
 abstraction often found in other libraries. The user is provided with the
 capability to have tight control over memory and CPU usage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- test
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds$//,repack,repacksuffix=+ds" \
 https://github.com/lessthanoptimal/ddogleg/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ddogleg 0.22+ds

=== debian/changelog ===
ddogleg (0.22+ds-1) unstable; urgency=medium

  * Run tests.
  * New upstream version 0.22+ds (Closes: #964010)
  * Adjust source version for javac.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Refresh copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 24 Nov 2022 07:25:47 -0500

ddogleg (0.18+ds-1) unstable; urgency=medium

  * New upstream version 0.18+ds
  * Switch buildsystem from gradle to javahelper.
  * Drop patches (no longer needed).
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 14 Sep 2022 04:34:56 -0400

ddogleg (0.17+ds-3) unstable; urgency=medium

  [ lintian-brush ]
  * Bump debhelper from old 12 to 13. + Drop check for DEB_BUILD_OPTIONS
    containing "nocheck", since debhelper now does this.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

  [ Andrius Merkys ]
  * Add date to signature in debian/README.Debian.
  * Watching GitHub tags.
  * Using dversionmangle=auto.
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 02 Dec 2021 01:56:38 -0500

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- gradle-debian-helper,
- libejml-java (>= 0.38),
- maven-repo-helper,
- junit5 <!nocheck>,
-Standards-Version: 4.4.1
+ debhelper-compat (= 13),
+ default-jdk,
+ javahelper,
+ libejml-java (>= 0.39),
+ libjsr305-java,
+ liblombok-java,
+Standards-Version: 4.6.1
 Homepage: http://ddogleg.org
 Vcs-Browser: https://salsa.debian.org/java-team/ddogleg
 Vcs-Git: https://salsa.debian.org/java-team/ddogleg.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export CLASSPATH = /usr/share/java/jsr305.jar:/usr/share/java/lombok.jar:/usr/share/java/ejml-core.jar:/usr/share/java/ejml-ddense.jar:/usr/share/java/ejml-dsparse.jar:/usr/share/java/ejml-cdense.jar:/usr/share/java/ejml-simple.jar:ddogleg.jar:ddogleg-benchmark.jar

UPSTREAM_VERSION = $(DEB_VERSION_UPSTREAM:%+ds=%)

%:
	dh $@ --with javahelper

override_dh_auto_build:
	jh_build --no-javadoc ddogleg-$(UPSTREAM_VERSION).jar --javacopts '-source 11' src/
	ln -s ddogleg-$(UPSTREAM_VERSION).jar ddogleg.jar
	jh_build --no-javadoc ddogleg-benchmark.jar --javacopts '-source 11' benchmark/
	jh_build --no-javadoc ddogleg-test.jar --javacopts '-source 11' test/

override_dh_auto_test:
	java -jar /usr/share/java/junit-platform-console-standalone.jar -cp ddogleg.jar:ddogleg-test.jar --select-package org.ddogleg

=== debian/watch ===
version=4
opts="dversionmangle=auto,repack,repacksuffix=+ds" \
 https://github.com/lessthanoptimal/ddogleg/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
